# Armbian u-boot install script for linux-u-boot-station-m2-vendor 2024.01-S31b8-P60ef-Hc6f6-Vfd01-Bb703-R448a
# This file provides functions for deploying u-boot to a block device.
DIR=/usr/lib/linux-u-boot-vendor-station-m2
write_uboot_platform () 
{ 
    dd if=$1/u-boot-rockchip.bin of=$2 seek=64 conv=notrunc status=none
}

setup_write_uboot_platform () 
{ 
    if grep -q "ubootpart" /proc/cmdline; then
        local tmp part dev;
        tmp=$(cat /proc/cmdline);
        tmp="${tmp##*ubootpart=}";
        tmp="${tmp%% *}";
        [[ -n $tmp ]] && part=$(findfs PARTUUID=$tmp 2> /dev/null);
        [[ -n $part ]] && dev=$(lsblk -n -o PKNAME $part 2> /dev/null);
        [[ -n $dev ]] && DEVICE="/dev/$dev";
    fi
}
